Vidu Text-to-Video viduq3-turbo
Convert text prompts to videos using Vidu models. After submission, query status via GET /vidu/v1/videos/{task_id}. Uses model viduq3-turbo.
Authorizations
Pass Authorization: Bearer <token> in the request header.
Body
Model name.
- viduq3-turbo: Compared to viduq3-pro, the generation speed is faster
viduq3-turbo Text prompt. A textual description for video generation, with a maximum length of 5000 characters.
5000Video duration. Default values vary by model:
- viduq3-pro, viduq3-turbo: default 5s, available: 1-16
1 <= x <= 16Random seed.
- Defaults to a random seed number
- Manually set values will override the default random seed
The aspect ratio of the output video. Defaults to 16:9.
Note: 3:4 and 4:3 only support q3 model.
16:9, 9:16, 3:4, 4:3, 1:1 Resolution. Default values vary by model & duration:
- viduq3-pro, viduq3-turbo (1-16s): default 720p, available: 540p, 720p, 1080p
540p, 720p, 1080p Whether to use direct audio-video generation capability. Default: true.
- false: No direct audio-video generation, outputs silent video
- true: Requires audio-video synchronization, outputs video with sound (including dialogue and sound effects)
Note: Only the q3 models supports this parameter.
Transparent transmission parameters. No processing, only data transmission, with a maximum length of 1048576 characters.
1048576Off peak mode. Defaults to false.
- true: Off peak generate mode
- false: Normal generate mode
The off_peak mode consumes lower points, please refer to the details Pricing. Tasks submitted in off peak mode will be generated within 48 hours. Tasks that are not completed will be automatically cancelled and their points will be refunded. We also support cancel off_peak tasks.
Callback. When creating a task, you need to actively set the callback_url with a POST request. When the video generation task changes its status, Vidu will send a callback request to this URL, containing the latest status of the task. The structure of the callback request content will be the same as the return body of the GET Generation API.
The "status" in the callback response includes the following states:
- processing: Task is being processed.
- success: Task is completed (if sending fails, it will retry the callback three times).
- failed: Task failed (if sending fails, it will retry the callback three times).
Whether to add a watermark.
- true: Add watermark
- false: Do not add watermark
Note 1: Currently the watermark content is fixed, default is no watermark Note 2: You can retrieve watermarked video content through the watermarked_url parameter in the query task API
Watermark position on the image. Options:
- 1: Top left
- 2: Top right
- 3: Bottom right
- 4: Bottom left
Default: 3
1, 2, 3, 4 1 <= x <= 4Watermark image URL. When not specified, the default watermark is used.
Metadata identifier, a JSON format string used as a passthrough field. You can customize the format or use the example format below:
When this parameter is empty, the Vidu-generated metadata identifier is used by default.
Response
Submission successful, returns a video task object.
Task ID.
Task processing state:
- created: Task created successfully
- queueing: Task in queue
- processing: Task processing
- success: Generation successful
- failed: Task failed
created, queueing, processing, success, failed Model parameter used for this call.
Text prompt used for this call.
Video duration parameter used for this call.
Random seed parameter used for this call.
Aspect ratio parameter used for this call.
Resolution parameter used for this call.
Payload parameter used for this call.
Credits consumed for this call.
Off-peak mode parameter used for this call.
Task creation time.
本次提交任务是否使用水印